package nc.impl.arap.byzimpl;

import nc.bs.framework.common.NCLocator;
import nc.itf.arap.byzitf.IbyzLogRcord;
import nc.itf.uap.IVOPersistence;
import nc.vo.arap.arc.ByzLogRcordVO;
import nc.vo.pub.BusinessException;

public class byzLogRcordImpl implements IbyzLogRcord {

	@Override
	public void RcordLogBYZ__RequiresNew(ByzLogRcordVO logvo) throws BusinessException {
		getVop().insertVO(logvo);
	}
	
	private IVOPersistence ivopersistence;
	
	private IVOPersistence getVop() {
		if(ivopersistence==null)			
			ivopersistence=NCLocator.getInstance().lookup(IVOPersistence.class);
		return ivopersistence;
	}
}
